<template>
  <v-app-bar
    color="#fcb69f"
    app
    flat
    :src="require('@/assets/img/nav_bar.png')"
    height="70"
  >
    <template v-slot:img="{ props }">
      <v-img
        v-bind="props"
        gradient="to top right, rgba(100,115,201,.7), rgba(25,32,72,.7)"
      ></v-img>
    </template>

    <!-- Navigation -->
    <v-row
      justify="center"
      align="center"
      class="text-center app-nav"
    >
      <v-col
        cols="6"
        class="nav-link-container"
      >
        <router-link to="/">Сравнение</router-link>
      </v-col>
      <v-col
        cols="6"
        class="nav-link-container"
      >
        <router-link to="/404">Page 404</router-link>
      </v-col>
    </v-row>
    <!-- #navigation -->
  </v-app-bar>
</template>

<script>
export default {
  name: 'AppNavBar',
};
</script>

<style lang="scss" scoped>
.app-nav {
  height: 100%;
}
.nav-link-container {
  height: inherit;
  background-color: rgba(59, 76, 96, 0.3);
  position: relative;
  &:hover {
    cursor: pointer;
    background-color: rgba(59, 76, 96, 0.7);
  }
  & > a {
    text-decoration: none;
    width: 100%;
    height: 100%;
    display: block;
    color: white;
    line-height: 38px;
    text-transform: uppercase;
  }
}
.nav-link__exact-active {
  background-color: rgba(59, 76, 96, 0.7);
}
</style>
